Bug 910527 - (kshisen) Review Request: kshisen - Shisen-Sho Mahjongg-like tile game
Review Request: kshisen - Shisen-Sho Mahjongg-like tile game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkmahjongg
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 14:12 EST by Rex Dieter
Modified: 2013-02-26 09:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 09:36:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:12:50 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kshisen.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kshisen-4.10.0-1.fc18.src.rpm
Description: A solitaire-like game played using the standard set of Mahjong tile
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 09:51:57 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kshisen.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kshisen-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license
Comment 2 nucleo 2013-02-22 20:21:56 EST
Summary "A solitaire-like game played using the standard set of Mahjong tile" looks more like description. 
Possible summary from desktop file "Shisen-Sho Mahjongg-like tile game".

Better %description:

Shisen-Sho is a solitaire-like game played using the standard set of Mahjong
tiles. Unlike Mahjong however, Shisen-Sho has only one layer of scrambled tiles.
You can remove matching pieces if they can be connected with a line with at most
two bends in it. At the same time, the line must not cross any other tiles.
To win a game of Shisen-Sho the player has to remove all the tiles from the
game board.



rpmlint output:

$ rpmlint kshisen-4.10.0-1.fc18.i686.rpm kshisen-debuginfo-4.10.0-1.fc18.i686.rpm kshisen-4.10.0-2.fc18.src.rpm kshisen.spec 
kshisen.i686: W: spelling-error %description -l en_US Shisen -> Shines, Shipment
kshisen.i686: E: description-line-too-long C Shisen-Sho is a solitaire-like game played using the standard set of Mahjong tiles
kshisen.i686: W: no-manual-page-for-binary kshisen
kshisen.src: W: spelling-error %description -l en_US Shisen -> Shines, Shipment
kshisen.src: E: description-line-too-long C Shisen-Sho is a solitaire-like game played using the standard set of Mahjong tiles
3 packages and 1 specfiles checked; 2 errors, 3 warnings.
Comment 3 Rex Dieter 2013-02-24 17:07:45 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kshisen.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kshisen-4.10.0-2.fc18.src.rpm

%changelog
* Sun Feb 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update summary/description
Comment 4 nucleo 2013-02-24 18:55:39 EST
MUST Items:
+ rpmlint output
  $ rpmlint kshisen-4.10.0-1.fc18.i686.rpm kshisen-debuginfo-4.10.0-1.fc18.i686.rpm kshisen-4.10.0-3.fc18.src.rpm kshisen.spec 
    kshisen.i686: W: spelling-error %description -l en_US Shisen -> Shines, Shipment
    kshisen.i686: W: no-manual-page-for-binary kshisen
    kshisen.src: W: spelling-error Summary(en_US) Shisen -> Shines, Shipment
    kshisen.src: W: spelling-error %description -l en_US Shisen -> Shines, Shipment
    3 packages and 1 specfiles checked; 1 errors, 4 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kshisen-4.10.0.tar.xz
+ spec file name kshisen.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 34a03d655c046a11ecc22960c4ceba19  kshisen-4.10.0.tar.xz
  SHA1: 19a9ae4b91afb3890a207d3a5c6d139f0b5a9300  kshisen-4.10.0.tar.xz
  SHA256: 544d0890a02781526eee046335d1ecfbde179733782909494e4bcf5b05f28a6e  kshisen-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir}, %{_kde4_configdir})
+ non-code content: only permitted content, sounds under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kshisen.desktop file for the GUI app kshisen present
+ desktop-file-validate is used in %check and the kshisen.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir},%{_kde4_configdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kshisen's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
+ successfully tested the package functionality
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts


APPROVED
Comment 5 Rex Dieter 2013-02-25 14:02:53 EST
New Package SCM Request
=======================
Package Name: kshisen
Short Description: Shisen-Sho Mahjongg-like tile game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2013-02-25 18:03:46 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-26 09:36:52 EST
thanks, imported

Note You need to log in before you can comment on or make changes to this bug.